defmodule Nulla.ActivitiesFixtures do
  @moduledoc """
  This module defines test helpers for creating
  entities via the `Nulla.Activities` context.
  """

  @doc """
  Generate a activity.
  """
  def activity_fixture(attrs \\ %{}) do
    {:ok, activity} =
      attrs
      |> Enum.into(%{
        actor: "some actor",
        ap_id: "some ap_id",
        cc: ["option1", "option2"],
        object: "some object",
        to: ["option1", "option2"],
        type: "some type"
      })
      |> Nulla.Activities.create_activity()

    activity
  end
end
