defmodule Nulla.MediaAttachmentsFixtures do
  import Nulla.NotesFixtures

  @moduledoc """
  This module defines test helpers for creating
  entities via the `Nulla.MediaAttachments` context.
  """

  @doc """
  Generate a media_attachment.
  """
  def media_attachment_fixture(attrs \\ %{}) do
    note = note_fixture()

    {:ok, media_attachment} =
      attrs
      |> Enum.into(%{
        height: 42,
        mediaType: "some mediaType",
        name: "some name",
        type: "some type",
        url: "some url",
        width: 42,
        note_id: note.id
      })
      |> Nulla.MediaAttachments.create_media_attachment()

    media_attachment
  end
end
